'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var unidecode = _interopDefault(require('unidecode'));

function slugy(string, { separator = '-', lower = true } = {}) {
  let slug = unidecode(string)
    .replace(/[:/?#[\]@!$&'()*+,;=\\%<>|^~£"]/g, '')
    .replace(/(\s|\.)/g, separator)
    .replace(/-+/g, separator);

  if (lower) {
    slug = slug.toLowerCase();
  }

  if (slug.substring(slug.length - 1) === '-') {
    slug = slug.substring(0, slug.length - 1);
  }

  return slug;
}

exports.slugy = slugy;
