import unidecode from 'unidecode';

function slugy(string, { separator = '-', lower = true } = {}) {
  let slug = unidecode(string)
    .replace(/[:/?#[\]@!$&'()*+,;=\\%<>|^~£"]/g, '')
    .replace(/(\s|\.)/g, separator)
    .replace(/-+/g, separator);

  if (lower) {
    slug = slug.toLowerCase();
  }

  if (slug.substring(slug.length - 1) === '-') {
    slug = slug.substring(0, slug.length - 1);
  }

  return slug;
}

export { slugy };
